# Wan 25 Preview

## wan-25-preview-text-to-video

> Wan 2.5 text-to-video model.

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"wan-25-preview"}],"servers":[{"url":"https://video.onerouter.pro","description":"video"}],"security":[],"paths":{"/v1/videos/generations":{"post":{"summary":"wan-25-preview-text-to-video","deprecated":false,"description":"Wan 2.5 text-to-video model.","tags":["wan-25-preview"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"prompt":{"type":"string","description":"prompt  is the prompt."},"audio_url":{"type":"string","description":"URL of the audio to use as the background music. Must be publicly accessible. Limit handling: If the audio duration exceeds the duration value (5 or 10 seconds), the audio is truncated to the first 5 or 10 seconds, and the rest is discarded. If the audio is shorter than the video, the remaining part of the video will be silent. For example, if the audio is 3 seconds long and the video duration is 5 seconds, the first 3 seconds of the output video will have sound, and the last 2 seconds will be silent.\n\n- Format: WAV, MP3.\n- Duration: 3 to 30 s.\n- File size: Up to 15 MB."},"aspect_ratio":{"type":"string","description":"The aspect ratio of the generated video Default value: `\"16:9\"`\n\nPossible enum values: `16:9`, `9:16`, `1:1`","default":"16:9"},"resolution":{"type":"string","description":"Video resolution tier Default value: `\"1080p\"`\n\nPossible enum values: `480p`, `720p`, `1080p`","default":"1080p","enum":["1080p","720p","480p"]},"duration":{"type":"string","description":"Duration of the generated video in seconds. Choose between 5 or 10 seconds. Default value: `\"5\"`\n\nPossible enum values: `5`, `10`","enum":["5","10"],"default":"5"},"negative_prompt":{"type":"string","description":"Negative prompt to describe content to avoid. Max 500 characters."},"enable_prompt_expansion":{"type":"boolean","default":true,"description":"Whether to enable prompt rewriting using LLM. Improves results for short prompts but increases processing time. Default value: `true`"},"seed":{"type":"integer","description":"Random seed for reproducibility. If None, a random seed is chosen."},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","default":"url","enum":["url"]}},"required":["model","prompt"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
